# ModelPort Documentation

Welcome to the ModelPort documentation. ModelPort is a Python library that simplifies the process of exporting ML models to ONNX format and compiling them for deployment on different platforms.

## Documentation Pages

- [Main Documentation](../DOCUMENTATION.md)
- [Release Notes](../RELEASE_NOTES.md)
- [License](../LICENSE)

## Quick Start

For quick installation and usage instructions, see the [README](../README.md).

## API Reference

ModelPort consists of the following main modules:

- `modelport.export` - Functions for exporting models to ONNX format
- `modelport.compile` - Functions for compiling models using TVM
- `modelport.inference` - Functions for running inference on compiled models
- `modelport.utils` - Utility functions for diagnostics and environment checks

## Getting Help

If you encounter any issues with ModelPort, please check the troubleshooting section in the [main documentation](../DOCUMENTATION.md#troubleshooting) or open an issue on GitHub. 